summaryrefslogtreecommitdiff
path: root/tests/id
diff options
context:
space:
mode:
authorJarkko Sakkinen <jarkko.sakkinen@linux.intel.com>2013-12-31 18:09:14 +0200
committerPádraig Brady <P@draigBrady.com>2014-05-05 14:26:15 +0100
commita03a51c44c78d25e9fab2ffb9bb0a46f22969f4e (patch)
treeec86473084a1e6f2ca90907423a512b730654f98 /tests/id
parent7182e4470a1c60c410d5b460818ebff0992fd34c (diff)
downloadcoreutils-a03a51c44c78d25e9fab2ffb9bb0a46f22969f4e.tar.gz
tests: initial SMACK tests
* init.cfg (require_smack_): New function. * local.mk: Referenced new tests. * tests/id/smack.sh: SMACK tests (new file). * tests/mkdir/smack-no-root.sh: SMACK tests (new file). * tests/mkdir/smack-root.sh: SMACK tests (new file).
Diffstat (limited to 'tests/id')
-rwxr-xr-xtests/id/smack.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/id/smack.sh b/tests/id/smack.sh
new file mode 100755
index 000000000..227db3e80
--- /dev/null
+++ b/tests/id/smack.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# SMACK test for the id-command.
+# Derived from tests/id/context.sh and tests/id/no-context.sh.
+# Copyright (C) 2014 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+
+require_smack_
+
+# Check the string "context=" presence without specified user.
+id > out || fail=1
+grep 'context=' out || { cat out; fail=1; }
+
+# Check context=" is absent without specified user in conforming mode.
+POSIXLY_CORRECT=1 id > out || fail=1
+grep 'context=' out && fail=1
+
+# Check the string "context=" absence with specified user.
+# But if the current user is nameless, skip this part.
+id -nu > /dev/null && id $(id -nu) > out
+grep 'context=' out && fail=1
+
+Exit $fail